CMSIS-Driver: MCI Transfer Controls

| CMSIS-Driver Version 2.8.0 Peripheral Interface for Middleware and Application Code

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
MCI Transfer Controls
MCI Interface

Specify data transfer mode. More...

## Macros

#define | ARM_MCI_TRANSFER_READ (0UL << 0)
| Data Read Transfer (from MCI) More...
#define | ARM_MCI_TRANSFER_WRITE (1UL << 0)
| Data Write Transfer (to MCI) More...
#define | ARM_MCI_TRANSFER_BLOCK (0UL << 1)
| Block Data transfer (default) More...
#define | ARM_MCI_TRANSFER_STREAM (1UL << 1)
| Stream Data transfer (MMC only) More...

## Description

Specify data transfer mode.

Data transfer codes specifies the transfer direction and type and are used with the function ARM_MCI_SetupTransfer as the parameter mode.

The following codes are defined:

## Macro Definition Documentation

#define ARM_MCI_TRANSFER_READ (0UL << 0)

Data Read Transfer (from MCI)

#define ARM_MCI_TRANSFER_WRITE (1UL << 0)

Data Write Transfer (to MCI)

#define ARM_MCI_TRANSFER_BLOCK (0UL << 1)

Block Data transfer (default)

#define ARM_MCI_TRANSFER_STREAM (1UL << 1)

Stream Data transfer (MMC only)